// BoostXstdlib.cs by {TE} |Emperor| Logan
// Boost_X Standard Library version 2.1
//-------------------------------------------------------------------------
// Features controls for flyers only!
// Complete with land and takeoff features.
// Included keymap also has enhanced controls, featuring
// a Land boost button which can be pressed by control + x buttons.
//-------------------------------------------------------------------------

function vehicle::onAdd(%vehicleId)
{
   %vehicleId.land = false;
   %vehicleId.ignition = false;
   %vehicleId.landpad = false;
   %vehicleId.landpad2 = false;
   %vehicleId.cancel = true;
   order(%vehicleId, guard, 0);
   
}

function remoteCancelswitch(%player)
{
   %vehicleId = playerManager::playerNumToVehicleId(%player);
   %vehicleId.land = false;
   %vehicleId.ignition = false;
   %vehicleId.landpad = false;
   %vehicleId.landpad2 = false;
   %vehicleId.cancel = true;
         
}

function remoteLandSwitch(%player)
{
   %vehicleId = playerManager::playerNumToVehicleId(%player);
   %vehicleId.cancel = false;
   %vehicleId.ignition = false;
   %vehicleId.landpad = false;
   %vehicleId.landpad2 = false;
   %vehicleId.land = true;
   land(%vehicleId);
}

function remoteIgnitionSwitch(%player)
{
   %vehicleId = playerManager::playerNumToVehicleId(%player);
   %vehicleId.cancel = false;
   %vehicleId.land = false;
   %vehicleId.landpad = false;
   %vehicleId.landpad2 = false;
   %vehicleId.ignition = true;
   ignition(%vehicleId);   
}

function remoteLandpadSwitch(%player)
{
   %vehicleId = playerManager::playerNumToVehicleId(%player);
   %vehicleId.cancel = false;
   %vehicleId.land = false;
   %vehicleId.ignition = false;
   %vehicleId.landpad2 = false;
   %vehicleId.landpad = true;
   landpad(%vehicleId);   
}

function remoteLandpad2Switch(%player)
{
   %vehicleId = playerManager::playerNumToVehicleId(%player);
   %vehicleId.cancel = false;
   %vehicleId.land = false;
   %vehicleId.ignition = false;
   %vehicleId.landpad = false;
   %vehicleId.landpad2 = true;
   landpad2(%vehicleId);   
}

function landpad(%vehicleId)
{
   $marker = getObjectId("MissionGroup\\marker1");
   order(%vehicleId, guard, $marker);
}

function landpad2(%vehicleId)
{
   $marker = getObjectId("MissionGroup\\marker2");
   order(%vehicleId, guard, $marker);
}

function land(%vehicleId)
{
   if(%vehicleId.cancel == true) return;
   else if(%vehicleId.land == true)
   {
      %x = getposition(%vehicleId, x);
      %y = getposition(%vehicleId, y);
      %z = getposition(%vehicleId, z) - 2;
      setPosition(%vehicleId, %x, %y, %z);
      schedule("land(" @ %vehicleId @ ");", 0.1);
      order(%vehicleId, shutdown, true);
   }
}

function ignition(%vehicleId)
{
   order(%vehicleId, guard, 0);
}
